> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lighton.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a completion feedback

> Log a feedback of a given type and linked to an existing completion.



## OpenAPI

````yaml /api-reference/openapi-v2.yaml post /api/v2/rate/{feedback_type_id}/{completion_id}
openapi: 3.0.3
info:
  title: Paradigm API
  version: xenial-xerus (v2)
  description: >-
    A versatile and adaptable tool designed to integrate Generative AI into your
    applications
servers:
  - url: https://paradigm.lighton.ai
security: []
tags:
  - name: Models
    description: Operations about AI models
  - name: Files Search
    description: Operations about files search
  - name: Files
    description: Operations about files
  - name: Upload Sessions
    description: Operations about upload sessions
  - name: Workspaces
    description: Operations about workspaces
  - name: Users
    description: Operations about users
  - name: Companies
    description: Operations about companies
  - name: SCIM
    description: Operations about SCIM
  - name: Feedbacks
    description: Operations about feedbacks
  - name: Reporting
    description: Operations about reporting
  - name: Monitoring
    description: Operations about monitoring
  - name: Platform Status
    description: Operations about platform status
paths:
  /api/v2/rate/{feedback_type_id}/{completion_id}:
    post:
      tags:
        - Feedbacks
      summary: Create a completion feedback
      description: Log a feedback of a given type and linked to an existing completion.
      operationId: api_v2_rate_create
      parameters:
        - in: path
          name: completion_id
          schema:
            type: string
          required: true
        - in: path
          name: feedback_type_id
          schema:
            type: integer
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Feedback'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/Feedback'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/Feedback'
      responses:
        '200':
          description: No response body
      security:
        - bearerAuth: []
components:
  schemas:
    Feedback:
      type: object
      properties:
        value:
          type: number
          format: double
          nullable: true
        flag:
          type: boolean
          nullable: true
          description: Field used in case of boolean type
        comment:
          type: string
          nullable: true
        tag:
          type: string
          nullable: true
          maxLength: 120
        display_value:
          oneOf:
            - type: boolean
            - type: string
            - type: number
              format: double
            - type: integer
          readOnly: true
      required:
        - display_value
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer authentication header of the form `Bearer <token>`, where
        `<token>` is your auth token.

````